
Ryzom - Bug # 1044

Status: Closed Priority: High
Author: kervala Category: OS: GNU/Linux
Created: 07/31/2010 Assignee: kervala
Updated: 09/10/2010 Due date:
Subject: Window content is black after switching windowed <-> fullscreen
Description

It's not happening everytime, but often when switching from fullscreen to windowed or windowed to fullscreen, window become black
under Linux.

History
#1 - 07/31/2010 01:27 pm - kervala

On my PC, it's always happening when restoring old mode (switching back from fullscreen to windowed). But if I resize the window, it's working again.

#2 - 07/31/2010 01:55 pm - kervala

After the window is becoming black, we can't resize anymore the right and bottom borders (cursor doesn't change) but top and left borders are ok.

#3 - 08/01/2010 12:14 am - kervala
- Status changed from New to Assigned
- Assignee set to kervala

#4 - 08/01/2010 09:50 am - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r575.

#5 - 08/01/2010 02:26 pm - kervala
- Target version set to Version 0.8.0

#6 - 08/22/2010 10:00 am - kervala

There was 2 more bugs:

    -  when switching from a fullscreen mode to another one, window decorations were reappearing
    -  with some WM, XSendEvent is working if window is mapped or unmapped, but with other WM, it doesn't work

#7 - 09/10/2010 10:46 am - kervala
- Status changed from Resolved to Closed
